Package org.jboss.modules.security

# Class FactoryPermissionCollection

java.lang.Object
java.security.PermissionCollection
org.jboss.modules.security.FactoryPermissionCollection

All Implemented Interfaces:
  `Serializable`

public final class FactoryPermissionCollection extends PermissionCollection
A permission collection which lazily instantiates the permission objects on first use. Any unavailable permission objects will not be granted to the resultant collection.

Author:
  David M. Lloyd
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FactoryPermissionCollection(PermissionFactory... factories)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(Permission permission)`
`Enumeration<Permission>`
`elements()`
`boolean`
`implies(Permission permission)`

### Methods inherited from class java.security.PermissionCollection

`elementsAsStream, isReadOnly, setReadOnly, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FactoryPermissionCollection

public FactoryPermissionCollection(PermissionFactory... factories)
Construct a new instance.

Parameters:
  `factories` - the factories to use to construct the permission collection

## Method Details

### add

public void add(Permission permission)

Specified by:
  `add` in class `PermissionCollection`

### implies

public boolean implies(Permission permission)

Specified by:
  `implies` in class `PermissionCollection`

### elements

public Enumeration<Permission> elements()

Specified by:
  `elements` in class `PermissionCollection`